For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet returns
          • GETGet returns for an order
          • GETGet return
          • PUTCreate a return
          • GETGet the refunded amounts for the return
          • POSTMark the return as complete
          • POSTReport errors encountered when processing the return refund
LogoLogo
RESTFeedAMP Order SourceReturns

Get the refunded amounts for the return

GET
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/returns/:mp_return_number/refunds
GET
/api/v1/orders/:mp_order_number/returns/:mp_return_number/refunds
$curl https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/refunds \
> -H "Authorization: Bearer <token>"
1{
2 "status": "AUTHORIZED",
3 "rma": "RMA-12345",
4 "merchant_refund_lines": [
5 {
6 "mp_return_line_number": "RETURN-XX-111-FF-1111",
7 "principal_refund_amount": 1.1,
8 "shipping_refund_amount": 1.1
9 }
10 ],
11 "errors": [
12 {
13 "code": "EXCESS_REFUND",
14 "message": "Requested refund amount for line exceeds line cost"
15 }
16 ]
17}
Get the status of the return
Was this page helpful?
Previous

Create a return

Next

Mark the return as complete

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace
mp_return_numberstringRequired
The unique Id for the return that is generated by the marketplace

Response

Return Status
statusenum
The status of the refund processing <ul>
  • AWAITING_AUTHORIZATION - The return has been placed into FeedAMP
  • AUTHORIZED - The merchant has authorized the refund (if preauthorized is false)
  • REFUNDED - The merchant has specified the refund amounts
  • COMPLETED - The marketplace has marked the return a complete
  • </ul>
    Allowed values:
    rmastring1-128 characters

    The return authorization number generated by the seller. This field is read-only for the marketplace.

    merchant_refund_lineslist of objects
    errorslist of objects

    Errors

    401
    Unauthorized Error
    404
    Not Found Error